docs

# CommonLimiter

class CommonLimiter ( lockCount: Int = 10, regenTime: MilliSeconds = 15 * 1000, scope: CoroutineScope = CoroutineScope(Dispatchers.Default)) : RequestLimiter
Content copied to clipboard

## Constructors

CommonLimiter
Link copied to clipboard
fun CommonLimiter ( lockCount: Int = 10, regenTime: MilliSeconds = 15 * 1000, scope: CoroutineScope = CoroutineScope(Dispatchers.Default))
Content copied to clipboard

## Functions

limit
Link copied to clipboard
open suspend override fun < T > limit (block: suspend () -> T ): T
Content copied to clipboard

Use limit for working of block (like delay between or after, for example)